from socket import *
import numpy as np
import time
from threading import Thread

def runkinematics():
    udp_socket = socket(AF_INET, SOCK_DGRAM)
    udp_socket.settimeout(1)
    udp_socket.bind(('0.0.0.0', 60028))
    arduino_ip = '192.168.10.240'
    arduino_port = 8888

    class communication(Thread):
        def run(self):
            while(True):
                try:
                    inbound_message, remote_address = udp_socket.recvfrom(32)
                    decoded_message = np.array(inbound_message.decode('ascii').split(',')).astype(float)
                    print(decoded_message)
                    message = str(decoded_message)
                    udp_socket.sendto(message.encode(), (arduino_ip, arduino_port))

                except Exception as e:
                    print(e)


    communication().start()


