from django.shortcuts import render
from socket import *
from. import kinematics

def index(request):
    kinematics.runkinematics()
    return render(request, 'index.htm', {})

def encode(request):
    udp_socket = socket(AF_INET, SOCK_DGRAM)
    udp_socket.settimeout(1)
    arduino_ip = '192.168.10.240'
    arduino_port = 8888
    if request.method == 'POST':
        msg_to_encode = request.POST.get('speed', '')
        msg_to_encode += request.POST.get('cavus', '')
        msg_to_encode += request.POST.get('start', '')
        msg_to_encode += request.POST.get('stopp', '')

        udp_socket.sendto(str(msg_to_encode).encode(), (arduino_ip, arduino_port))

    return render(request, 'index.htm', {})
